<template>
  <div class="container mt-3">
    <nav class="navbar navbar-expand-lg navbar-light bg-light">
      <a class="navbar-brand" href="/home">MAPALA WMDK</a>
      <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
      </button>
      <div class="collapse navbar-collapse" id="navbarNav">
        <ul class="navbar-nav">
          <li class="nav-item active">
            <a class="nav-link" href="/logistik/divisi/read">Divisi</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="/logistik/alat/read">Alat <span class="sr-only">(current)</span></a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="/logistik/anggota/read">Peminjam</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="/laporan">Laporan Peminjaman</a>
          </li>
        </ul>
      </div>
    </nav>
    <div class="card mt-2">
      <div class="card-header">
        <span class="myauto">Daftar Alat</span>
      </div>
      <div class="card-body">
        <div class="row justify-content-left align-items-left">
          <a href="/logistik/alat/insert" class="btn btn-primary">+ Tambah Data Alat</a>
        </div>
        <br />
        <div class="row justify-content-center align-items-center">
          <table class="table table-bordered">
            <thead>
              <tr>
                <th>No</th>
                <th>Nama</th>
                <th>Jumlah</th>
                <th>Kategori</th>
                <th>Deskripsi</th>
                <th>Action</th>
              </tr>
            </thead>
            <tbody>
              <tr v-for="(alat, index) in alats" :key="alat.id_alat">
                <td>{{index+1}}</td>
                <td>{{alat.nama}}</td>
                <td>{{alat.jumlah}}</td>
                <td>{{alat.kategori}}</td>
                <td>{{alat.deskripsi}}</td>
                <td>
                  <router-link
                    :to="{ name: 'AlatPinjam', params: {id_alat: alat.id, nama: alat.nama, jumlah: alat.jumlah, kategori: alat.kategori, deskripsi: alat.deskripsi}}"
                    class="btn btn-info"
                  >pinjam</router-link> | 
                  <router-link
                    :to="{ name: 'AlatUpdate', params: {id_alat: alat.id, nama: alat.nama, jumlah: alat.jumlah, kategori: alat.kategori, deskripsi: alat.deskripsi}}"
                    class="btn btn-success"
                  >Edit</router-link> | 
                  <button @click="deleteItem(alat.id)" class="btn btn-danger">Delete</button>
                </td>
              </tr>
            </tbody>
          </table>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import axios from "axios";
export default {
  data() {
    return {
      alats: []
    };
  },
  mounted() {
    this.getAlat();
  },
  methods: {
    getAlat() {
      axios
        .get("https://management.masuk.id/mapalabe/apiAlat/read.php")
        .then(res => {
          console.log(res.data.body);
          this.alats = res.data.body;
        })
        .catch(err => {
          // handle error
          console.log(err);
        });
    },
    deleteItem(id_alat) {
      axios
        .delete("https://management.masuk.id/mapalabe/apiAlat/delete.php?id_alat=" + id_alat)
        .then(res => {
          if (res.status == 200) {
            alert("Data Berhasil Hapus");
            window.location.reload();
            this.$router.push("read");
          }
        })
        .catch(err => {
          // handle error
          console.log(err);
        });
    }
  }
};
</script>

<style lang="stylus" scoped></style>